GET /api/v3/place/digest/savings/monthly

Retrieves rolled up savings data by building/organization for a given number of years- Result includes cost and use savings on a monthly basis.

GetPlaceSavingsMonthlyListV3 Permissions: BuildingsAndOrganizations (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
numberOfYears Number of years of data to return includes the current year - Defaults to two years/24 months integer (int32) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

PlaceDigestSavingsMonthlyResponse
Property Description Type
commodities An array of SavingsMonthly data per commodity PlaceDigestSavingsMonthlyResponse+CommodityData[]
PlaceDigestSavingsMonthlyResponse+CommodityData properties
Property Description Type
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of SavingsMonthly data PlaceDigestSavingsMonthlyResponse+CommodityData+CommodityResults[]
PlaceDigestSavingsMonthlyResponse+CommodityData+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
periodName Calendar Period Name string
savingsCommonUse Savings Global Use number (double)
savingsGlobalUse Savings Global Use number (double)
savingsTotalCost Savings Total Cost number (double)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
results An array of SavingsMonthly data PlaceDigestSavingsMonthlyResponse+Results[]
PlaceDigestSavingsMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
periodName Calendar Period Name string
savingsGlobalUse Savings Global Use number (double)
savingsTotalCost Savings Total Cost number (double)
updated The date and time the data was updated string (date-time)
Example Response application/json
[
  {    "commodities": [
      {      "commodityCode": "string",      "commodityId": 1,      "commodityInfo": "string",      "commonUseUnit": {},      "costUnit": {},      "results": []
    }
    ],    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "globalUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "placeCode": "string",    "placeId": 1,    "placeInfo": "string",    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "fiscalPeriod": 1,      "fiscalYear": 1,      "periodName": "string",      "savingsGlobalUse": 1.0,      "savingsTotalCost": 1.0
    }
    ],    "updated": "2026-03-30"
  }
]
204 No Content The request succeeded. No content is returned in the response body.